# class SignallingMessageTimer | A pending signalling message. More...
Full name | `TelEngine::SignallingMessageTimer`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ], TelEngine::SignallingTimer [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SignallingMessageTimer (u_int64_t interval, u_int64_t global = 0)
- virtual ~SignallingMessageTimer ()
- inline SignallingMessage* message () const
- inline void message (SignallingMessage* msg)
- inline SignallingTimer& global ()
- inline const SignallingTimer& global () const
- inline u_int64_t fireTime () const

#### Protected Members

- SignallingTimer m_globalTimer
- SignallingMessage* m_msg

## Detailed Description

This class holds a signalling message along with timeout value(s)

inline SignallingMessageTimer (u_int64_t interval, u_int64_t global = 0) | ### SignallingMessageTimer

Constructor

Parameters:

interval | Operation timeout interval
global | Operation global timeout interval

~SignallingMessageTimer () | ### ~SignallingMessageTimer

[virtual]

Destructor. Release data

inline SignallingMessage* message () | ### message

[const]

Retrieve stored signaling message

Returns: Pointer to the stored message

inline void message (SignallingMessage* msg) | ### message

Set a new message

Parameters:

msg | Message to store in the timer

inline SignallingTimer& global () | ### global

Get access to the global timer

Returns: A reference to the global timer

inline const SignallingTimer& global () | ### global

[const]

Get const access to the global timer

Returns: A const reference to the global timer

inline u_int64_t fireTime () | ### fireTime

[const]

Get the time this message timer will timeout

Returns: The time this message timer will timeout

Reimplemented from SignallingTimer.

SignallingTimer m_globalTimer | ### m_globalTimer

[protected]

SignallingMessage* m_msg | ### m_msg

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.